var address_ex = 'clid=46942&yasoft=widget.search';

menu_searches = [
	{
		title: 'весь интернет',
		id: 'yandex',
		address: 'http://yandex.ru/yandsearch?text=%s&' + address_ex,
		domain: 'yandex.ru',
		icon: 'globe.png'
	},
	{
		title: 'мой компьютер',
		id: 'desktop',
		address: 'http://127.0.0.1:9375/?dtype=0&ls=1&text=%s&' + address_ex,
		icon: 'desktop.png'
	},
	{
		title: 'новости',
		id: 'news',
		address: 'http://news.yandex.ru/yandsearch?rpt=nnews2&grhow=clutop&text=%s&' + address_ex,
		domain: 'news.yandex.ru',
		icon: 'news.png'
	},
	{
		title: 'маркет',
		id: 'market',
		address: 'http://market.yandex.ru/search.xml?text=%s&' + address_ex,
		domain: 'market.yandex.ru',
		icon: 'market.png'
	},
	{
		title: 'блоги и форумы',
		id: 'blogs',
		address: 'http://blogs.yandex.ru/search.xml?text=%s&' + address_ex,
		domain: 'blogs.yandex.ru',
		icon: 'blogs.png'
	},
	{
		title: 'картинки',
		id: 'images',
		address: 'http://images.yandex.ru/yandsearch?text=%s&' + address_ex,
		domain: 'images.yandex.ru',
		icon: 'images.png'
	},
	{
		title: 'словари',
		id: 'slovari',
		address: 'http://slovari.yandex.ru/search.xml?text=%s&st_translate=1&' + address_ex,
		domain: 'slovari.yandex.ru',
		icon: 'slovari.png'
	},
	{
		title: 'фотки',
		id: 'fotki',
		address: 'http://fotki.yandex.ru/search.xml?text=%s&' + address_ex,
		domain: 'fotki.yandex.ru',
		icon: 'fotki.png'
	},
	{
		title: 'каталог',
		id: 'yaca',
		address: 'http://search.yaca.yandex.ru/yandsearch?text=%s&' + address_ex,
		domain: 'yaca.yandex.ru',
		icon: 'yaca.png'
	},

	{
		title: 'телепрограмма',
		id: 'tv',
		address: 'http://tv.yandex.ru/search/?text=%s&' + address_ex,
		domain: 'tv.yandex.ru',
		icon: 'tv.png'
	},
	{
		title: 'афиша',
		id: 'afisha',
		address: 'http://afisha.yandex.ru/search/?text=%s&' + address_ex,
		domain: 'afisha.yandex.ru',
		icon: 'afisha.png'
	},
	{
		title: 'карты',
		id: 'maps',
		domain: 'maps.yandex.ru',
		icon: 'maps.png',
		menu:
		[
			{
				title: 'Москва и область',
				id: 'maps-moscow',
				domain: 'maps.yandex.ru/moscow',
				address: 'http://maps.yandex.ru/?text=%s&sll=37.617671%2C55.755768&sspn=1.234589%2C1.070281&' + address_ex
			},
			{
				title: 'Санкт-Петербург',
				id: 'maps-spb',
				domain: 'maps.yandex.ru/spb',
				address: 'http://maps.yandex.ru/?text=%s&sll=30.313497%2C59.938531&sspn=0.617294%2C0.47616&' + address_ex
			},
			{
				title: 'Екатеринбург',
				id: 'maps-ekb',
				domain: 'maps.yandex.ru/ekb',
				address: 'http://maps.yandex.ru/?text=%s&sll=60.597223%2C56.837992&sspn=0.308647%2C0.260064&' + address_ex
			},
			{
				title: 'Казань',
				id: 'maps-kazan',
				domain: 'maps.yandex.ru/kazan',
				address: 'http://maps.yandex.ru/?text=%s&sll=49.046407%2C55.793662&sspn=0.308647%2C0.267305&' + address_ex
			},
			{
				title: 'Краснодар',
				id: 'maps-krasnodar',
				domain: 'maps.yandex.ru/krasnodar',
				address: 'http://maps.yandex.ru/?text=%s&sll=38.975277%2C45.035407&sspn=0.617294%2C0.672847&' + address_ex
			},
			{
				title: 'Нижний Новгород',
				id: 'maps-maps-nnovgorod',
				domain: 'maps.yandex.ru/nnovgorod',
				address: 'http://maps.yandex.ru/?text=%s&text=пушкина&ll=44.001486%2C56.324142&sspn=0.617294%2C0.527276&' + address_ex
			},
			{
				title: 'Новосибирск',
				id: 'maps-nsk',
				domain: 'maps.yandex.ru/nsk',
				address: 'http://maps.yandex.ru/?text=%s&sll=82.921597%2C55.02991&sspn=0.617294%2C0.545092&' + address_ex
			},
			{
				title: 'Орёл',
				id: 'maps-orel',
				domain: 'maps.yandex.ru/orel',
				address: 'http://maps.yandex.ru/?text=%s&sll=36.063774%2C52.970843&sspn=0.154324%2C0.143218&' + address_ex
			},
			{
				title: 'Ростов-на-Дону',
				id: 'maps-rostov',
				domain: 'maps.yandex.ru/rostov',
				address: 'http://maps.yandex.ru/?text=%s&sll=39.713321%2C47.23569&sspn=0.308647%2C0.32316&' + address_ex
			},
			{
				title: 'Рязань',
				id: 'maps-ryazan',
				domain: 'maps.yandex.ru/ryazan',
				address: 'http://maps.yandex.ru/?text=%s&sll=39.734578%2C54.629336&sspn=0.154324%2C0.137637&' + address_ex
			},
			{
				title: 'Самара',
				id: 'maps-samara',
				domain: 'maps.yandex.ru/samara',
				address: 'http://maps.yandex.ru/?text=%s&sll=50.087608%2C53.185465&sspn=0.154324%2C0.142502&' + address_ex
			},
			{
				title: 'Тула',
				id: 'maps-tula',
				domain: 'maps.yandex.ru/tula',
				address: 'http://maps.yandex.ru/?text=%s&sll=37.617725%2C54.192927&sspn=0.154324%2C0.139117&' + address_ex
			},
			{
				title: 'Уфа',
				id: 'maps-ufa',
				domain: 'maps.yandex.ru/ufa',
				address: 'http://maps.yandex.ru/?text=%s&sll=56.027511%2C54.79852&sspn=0.308647%2C0.274124&' + address_ex
			},
			{
				title: 'Челябинск',
				id: 'maps-chelyabinsk',
				domain: 'maps.yandex.ru/chelyabinsk',
				address: 'http://maps.yandex.ru/?text=%s&sll=61.401835%2C55.167215&sspn=1.234589%2C1.086444&' + address_ex
			},
			{
				title: 'Россия',
				id: 'maps-russia',
				domain: 'maps.yandex.ru/russia',
				address: 'http://maps.yandex.ru/?text=%s&sll=103.682149%2C65.084965&sspn=158.027344%2C120.397097&' + address_ex
			},
			{
				title: 'Европа',
				id: 'maps-europe',
				domain: 'maps.yandex.ru/europe',
				address: 'http://maps.yandex.ru/?text=%s&sll=44.537816%2C48.726606&sspn=79.013672%2C80.249285&' + address_ex
			},
			{
				title: 'Киев',
				id: 'maps-kiev',
				domain: 'maps.yandex.ru/kiev',
				address: 'http://maps.yandex.ru/?text=%s&sll=30.454415%2C50.420595&sspn=1.234589%2C1.212553&' + address_ex
			},
			{
				title: 'Одесса',
				id: 'maps-odessa',
				domain: 'maps.yandex.ru/odessa',
				address: 'http://maps.yandex.ru/?text=%s&sll=30.726407%2C46.525015&sspn=0.617294%2C0.654993&' + address_ex
			},
			{
				title: 'Крым',
				id: 'maps-crimea',
				domain: 'maps.yandex.ru/crimea',
				address: 'http://maps.yandex.ru/?text=%s&sll=34.300813%2C45.253651&sspn=4.938354%2C5.362156&' + address_ex
			}
		]
	}
];

