Search.Mode = newClass(null, {
	constructor: function() {
		 this.current = {};
	},
	
	set: function(space, value, other) {
		if((space == 'mode') && (value != this.current[space])) {
			var transition = '';
			if(value == 'preferences')
				transition = 'ToBack';
			if(this.current[space] == 'preferences')
				transition = 'ToFront';
			
			if(value == 'preferences')
				Wdgt.view.setSize(270, 270);

				
			if(transition != '')
				Wdgt.view.prepareForTransition(transition);

			var skin = Wdgt.preferences.get('skin');
			var className = document.body.className;
			className = className.replace(/skin-(\S+)/, '');
			document.body.className = y5.Strings.normalizeSpace(className);
			y5.Classes.add(document.body, 'skin-' + skin);

			y5.Classes.remove(document.body, 'mode-' + this.current['mode']);
			y5.Classes.add(document.body, 'mode-' + value);
			
			
			
			
			var sidebar = (Wdgt.platform.name == 'sidebar');
			
			switch(value) {
				case 'normal':
					Wdgt.view.setSize(250, sidebar ? 600 : 100);
					Wdgt.view.setBackground([{url: 'kernel/images/' + skin + '/background/normal' + (Wdgt.platform.os == 'linux' ? '-linux' : '') + '.png', left: 0, top: 0}]);
				break;
				case 'innactive':
					Wdgt.view.setSize(250, 100);
					Wdgt.view.setBackground([{url: 'kernel/images/' + (skin == 'black' ? 'black' : 'yellow') + '/background/innactive.png', left: 0, top: 0}]);
				break;
				case 'docked':
					Wdgt.view.setSize(130, 80);
					Wdgt.view.setBackground([{url: 'kernel/images/' + skin + '/background/docked.png', left: 0, top: 0}]);
				break;	
				case 'preferences':
					Wdgt.view.setSize(270, 270);
					Wdgt.view.setBackground([{url: 'kernel/images/yellow/background/preferences' + (Wdgt.platform.os == 'linux' ? '-linux' : '') + '.png', left: 0, top: 0}]);
				break;
			}
			
			/*
			if(
				((this.current[space] == 'normal') && (value == 'innactive')) ||
				((this.current[space] == 'innactive') && (value == 'normal'))
			)
				scrollInputToLeft();
			*/
			
			if(transition != '')
				Wdgt.view.performTransition();
		}
		
		if((space == 'menu') && (value != this.current[space])) {
			var className = document.body.className;
			className = className.replace(/menu-(\S+)/, '');
			document.body.className = y5.Strings.normalizeSpace(className);
			
			y5.Classes.add(document.body, 'menu-' + value);
		}		

		this.current[space] = value;
	},
	get: function(space) {
		return this.current[space];
	} 
});