Search.Underline = newClass(null, {
	constructor: function(input) {
		this.input = input;
		this.text = y5.Dom.$('underline-text');
		this.body = y5.Dom.$('underline');
		this.opera = Wdgt.platform.name == 'opera';
		
		var context = this;
		function onKeyDown() {
			function x() {context.update.call(context);}
			setTimeout(x, 1);
		}
		y5.Events.observe('keydown', onKeyDown, this.input, true);
		this.visibility(false);
		// y5.Events.observePrepery('value', this.update, this.input, true); // не работает под dashboard
	},
	update: function() {
		if(this.opera && this.body.style.display == 'block') {
			this.body.style.display = 'none';
			this.body.style.display = 'block';
		}
		
		var value = this.input.value;
		this.body.style.visibility = (value == '' ? 'hidden' : 'visible');
		value = value.replace(/ /gm, '&nbsp;');
		this.text.innerHTML = value;
	},
	visibility: function(show) {
		this.body.style.display = (show ? 'block' : 'none');
	}
});