Search.Suggestor = function(input, container, className) {
	var PARENT = Search;
	this.PARENT = PARENT;
	var THIS = this;
	var ajax = null;
	
	var history = [];
	y5.Events.observe('keydown', onInputChange, input, true);
	
	if(Wdgt.Platform.name == 'opera') {
		y5.Events.observe('keyup', function (e) {
			var value = input.value;
			if(value != value.replace(/\x1e/gm, '')) {
				input.value = value.replace(/\x1e/gm, '');
				onInputChange(e);
			}
		}, input, true);
	}
	
	
	
	
	var send_timer = 0;
	var wait_timer = 0;
	var menu = new Search.MenuSuggestor([], {container: container, max_height: 192});
	
	var underline = y5.Dom.$('underline');
	var underline_text = y5.Dom.$('underline-text');
	
	var type_length = 0;
	var menu_type = '';
	var select_first_item = true;
	loadHistory();

	this.clearHistory = function() {
		Wdgt.Preferences.set('history', '');
		history = [];
	}
	
	function loadHistory() {
		var x = Wdgt.Preferences.get('history');
		if(x != '')
			history = x.split(';');
	}
	
	this.abort = function() {
		if(ajax)
			ajax.abort();
		ajax = null;
	}
	
	this.addToHistory = function(request) {
		request = request.replace(/\x1b/gm, ' ');
		request = request.replace(/\x1e/gm, '');
		request = y5.Strings.normalizeSpace(request);
		if(request == '')
			return;
		for(var i = 0; i < history.length; i++)
			if(history[i] == request)
				return;
		history.push(request);
		while(history.length > 1000)
			history.splice(0, 1);
		history = history.sort();
		Wdgt.Preferences.set('history', history.join(';'));
	}
	
	this.toggleHistory = function(e) {
		clearTimeout(send_timer);
		type_length = 0;
		if(menu.isVisible()) {
			menu.hide();
			if(menu_type == 'history')
				return;
		}
		type_length = 0;
		var items = [
		];
		/*
		var filtered = filteredHistory(input.value);
		var n = filtered.length;
		if(n <= 0)
		*/
			filtered = history;
		n = filtered.length;
		if(n <= 0)
			return;
		//n = (n <= 10 ? n : 10);
		for(var i = 0; i < n; i++) {
			items.push({
				title: filtered[i],
				className: 'history',
				hover: hover,
				arrow: activate,
				action: suggest
			});
		}
		menu.create(items);
		menu.show();
		//menu.selectFirstItem();
		menu_type = 'history';
	}
	
	this.updateUnderline = function(show) {
		var value = input.value;
		value = value.replace(/ /gm, '&nbsp;');
		underline.style.display = (value != '' ? '' : 'none');
		underline_text.innerHTML = value;
	}
	
	function onInputChange(e) {
		var key = e.keyCode;
		
		if(key == 13) {
			clearTimeout(send_timer);
			if(menu.isVisible())
				menu.hide();
			return true;
		}
		
		setTimeout(function() {
			THIS.updateUnderline();
			if(!((key >= 37) && (key <= 40))) {
				//input.value += '*';
				type_length = /*y5.Strings.normalizeSpace(*/input.value.length;
			}
			
			if((input.value == '') && (menu_type != 'history'))
				if(menu.isVisible())
					menu.hide();
				
		}, 10);
		
		if(
			(e.keyCode != 0) && 
			(e.keyCode != 8) &&
			(e.keyCode <= 41)
		)
			return;
		if(e.altKey || e.crtlKey)
			return;
		
		select_first_item = ((e.keyCode != 8) && (e.keyCode != 46));
		
		
		if(((e.keyCode < 37) || (e.keyCode > 40)) && menu.isVisible())
			menu.clearSelection();
		
		if(send_timer != 0)
			clearTimeout(send_timer);
		send_timer = setTimeout(createRequest, 500);
	}
			
	function filteredHistory(part) {
		if(part == '')
			return history;
		var result = [];
		for(var i = 0; i < history.length; i++)
			if(history[i].indexOf(part) == 0)
				result.push(history[i]);
		return result;
	}
	
	function createRequest() {
		var part = /*y5.Strings.normalizeSpace(*/input.value;
		if(part != '')
			request(part);
		else
			if(menu.isVisible())
				menu.hide();
		/*	
		if(part == '')
			 response('["", []]')
		else
		*/
	}
	
	function request(part) {
		THIS.abort();
		ajax = new y5.Request.XML('http://suggest.yandex.net/suggest-ff.cgi?part=' + encodeURIComponent(part));
		ajax.onload = function (req) {response(req.responseText)};
		ajax.onerror = function () {response('["' + part + '", []]')};
		ajax.send();
	}

	function response(result) {
		ajax = null;
		if(!result) {
			return;
		} else {
			var response = [];
			var words = [], part = '';
			//try {
				var s = y5.Strings.trim(result.replace(/\n+/gm, ''));
				eval('response = ' + s + ';');
				part = response[0];
				words = response[1];
			//} catch(e) {
			//	return;
			//}
			
			// ***
			var items = [
			];
			
			var filtered = filteredHistory(part);
			var n = filtered.length;
			
			var filtered_items = items;
			for(var i = 0; i < n; i++) {
				if((i == 4) && (n > 5)) {
					filtered_items.push({
						title: 'все мои запросы',
						className: 'show-all',
						hide_after_expand: true,
						menu: [],
						action: null
					});
					
					filtered_items = filtered_items[filtered_items.length - 1].menu;
				}
				filtered_items.push({
					title: filtered[i],
					className: 'history',
					hover: hover,
					arrow: activate,
					action: suggest
				});
			}

			n = words.length;
			if(n > 0) {
				items.push({title: 'подсказки', disable: true, className: 'suggests'});			
				for(var i = 0; i < n; i++) {
					items.push({
						title: words[i],
						action: suggest,
						hover: hover,
						arrow: activate,
						className: 'suggest'
					});
					if(items.length >= 12)
						break;
				}
			}
			if(items.length > 0) {
				menu.create(items);
				menu.show();
				if(select_first_item) {
					menu.selectFirstItem();
//					activate(menu.getActive());
				}
				menu_type = 'suggestor';
			}
			else
				if(menu.isVisible())
					menu.hide();
			//debugger;
		}
	}

	function hover(menu) {
	
	}
	
	function activate(menu) {
			
		function replaceSelectedText(input, suggest) {
			var obj = input;
			if(document.selection) {
				input.focus();
				var selection = document.selection.createRange();
				var length = selection.text.length;
				selection.collapse(true);
				selection.moveStart('character', -input.value.length);
				var begin = selection.text.length;
				var end = begin + length;
				
				var left = input.value.substr(0, begin);
				
				if(suggest.indexOf(left) != 0)
					begin = 0;
begin = type_length;
				
				input.value = suggest;
				var range = input.createTextRange();
				range.collapse(true);
				range.moveEnd('character', input.value.length);
				range.moveStart('character', begin);
				range.select();
			}
			else
				if(typeof(obj.selectionStart) == "number") {
					var begin = input.selectionStart;
					var end = input.selectionEnd;
					var length = end - begin;
					
					//input.value = begin;
					var left = input.value.substr(0, begin);
					if(suggest.indexOf(left) != 0)
						begin = 0;
begin = type_length;
					input.value = suggest;
					input.setSelectionRange(begin, input.value.length);
				}
				
			/*
			if(Wdgt.Platform.name == 'opera') {
				var start = input.selectionStart;
				var end = input.selectionEnd;
				var value = input.value;
				setTimeout(function() {
					//input.value += '*';
					input.setSelectionRange(start, end);
				}, 500);
			}
			*/
			return false;
		}
		
		replaceSelectedText(input, menu.title);
		THIS.updateUnderline();
	}
	
	function suggest(item) {
		PARENT.Search(item.title);
	}
}